﻿Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub ExportTextFile(sender As Object, e As EventArgs)
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("SELECT * FROM Customers")
                Using sda As New SqlDataAdapter()
                    cmd.Connection = con
                    sda.SelectCommand = cmd
                    Using dt As New DataTable()
                        sda.Fill(dt)

                        'Build the Text file data.
                        Dim txt As String = String.Empty

                        For Each column As DataColumn In dt.Columns
                            'Add the Header row for Text file.
                            txt += column.ColumnName & vbTab & vbTab
                        Next

                        'Add new line.
                        txt += vbCr & vbLf

                        For Each row As DataRow In dt.Rows
                            For Each column As DataColumn In dt.Columns
                                'Add the Data rows.
                                txt += row(column.ColumnName).ToString() & vbTab & vbTab
                            Next

                            'Add new line.
                            txt += vbCr & vbLf
                        Next

                        'Download the Text file.
                        Response.Clear()
                        Response.Buffer = True
                        Response.AddHeader("content-disposition", "attachment;filename=SqlExport.txt")
                        Response.Charset = ""
                        Response.ContentType = "application/text"
                        Response.Output.Write(txt)
                        Response.Flush()
                        Response.End()
                    End Using
                End Using
            End Using
        End Using
    End Sub
End Class
